<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql1 = <<<'SQL'
        ALTER TABLE characteristic_approver_masters
        ADD COLUMN duration1 NUMERIC(4, 2) DEFAULT 0
        SQL;

        DB::statement($sql1);

        $sql2 = <<<'SQL'
        ALTER TABLE characteristic_approver_masters
        ADD COLUMN duration2 NUMERIC(4, 2) DEFAULT 0
        SQL;

        DB::statement($sql2);

        $sql3 = <<<'SQL'
        ALTER TABLE characteristic_approver_masters
        ADD COLUMN duration3 NUMERIC(4, 2) DEFAULT 0
        SQL;

        DB::statement($sql3);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('characteristic_approver_masters', function (Blueprint $table) {
        //     //
        // });
    }
};
